using System.Collections.ObjectModel;

namespace Drop_ForbidAllow
{
    class SampleViewModel : ObservableCollection<Measure>
    {

        public SampleViewModel()
        {
            Measure root = new Measure();
            this.Add(root);
            root.Caption = "Measure";
            Measure m;

            root.SubMeasures.Add(m = new Measure());
            m.Caption = "Measure 1";
			m.IsDraggable = false;

            root.SubMeasures.Add(m = new Measure());
            m.Caption = "Measure 2";
			m.IsDraggable = false;

            root.SubMeasures.Add(m = new Measure());
            m.Caption = "Measure 3";

			root.SubMeasures.Add(m = new Measure());
			m.Caption = "Measure 4";

			root.SubMeasures.Add(m = new Measure());
			m.Caption = "Measure 5";
        }
    }
}
